Package org.apache.solr.client.solrj.request

# Class CollectionsApi.GetCollectionStatus

java.lang.Object
org.apache.solr.client.solrj.SolrRequest<CollectionStatusResponse>
org.apache.solr.client.solrj.request.CollectionsApi.GetCollectionStatus

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `CollectionsApi`

public static class CollectionsApi.GetCollectionStatus extends SolrRequest<CollectionStatusResponse>

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

## Field Summary

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS`

## Constructor Summary

Constructors
Constructor
Description
`GetCollectionStatus(String collectionName)`
Create a GetCollectionStatus request object.

## Method Summary

Modifier and Type
Method
Description
`protected CollectionStatusResponse`
`createResponse(NamedList<Object> namedList)`
Create a new SolrResponse to hold the response from the server.
`SolrRequest.ApiVersion`
`getApiVersion()`
Indicates which API version this request will make
`SolrParams`
`getParams()`
The parameters for this request; never null.
`Set<String>`
`getQueryParams()`
Parameter keys that are sent via the query string
`ResponseParser`
`getResponseParser()`
`void`
`setCoreInfo(Boolean coreInfo)`
`void`
`setFieldInfo(Boolean fieldInfo)`
`void`
`setRawSize(Boolean rawSize)`
`void`
`setRawSizeDetails(Boolean rawSizeDetails)`
`void`
`setRawSizeSamplingPercent(Float rawSizeSamplingPercent)`
`void`
`setRawSizeSummary(Boolean rawSizeSummary)`
`void`
`setSegments(Boolean segments)`
`void`
`setSizeInfo(Boolean sizeInfo)`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getPreferredNodes, getRequestType, getStreamingResponseCallback, getUserPrincipal, process, process, processWithBaseUrl, requiresCollection, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setRequestType, setResponseParser, setStreamingResponseCallback, setUserPrincipal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GetCollectionStatus

public GetCollectionStatus(String collectionName)
Create a GetCollectionStatus request object.

Parameters:
  `collectionName` - Path param - The name of the collection return metadata for

## Method Details

### setCoreInfo

public void setCoreInfo(Boolean coreInfo)

Parameters:
  `coreInfo` - Boolean flag to include metadata (e.g. index an data directories, IndexWriter configuration, etc.) about each shard leader's core

### setSegments

public void setSegments(Boolean segments)

Parameters:
  `segments` - Boolean flag to include metadata and statistics about the segments used by each shard leader. Implicitly set to true by 'fieldInfo' and 'sizeInfo'

### setFieldInfo

public void setFieldInfo(Boolean fieldInfo)

Parameters:
  `fieldInfo` - Boolean flag to include statistics about the indexed fields present on each shard leader. Implicitly sets the 'segments' flag to 'true'

### setRawSize

public void setRawSize(Boolean rawSize)

Parameters:
  `rawSize` - Boolean flag to include simple estimates of the disk size taken up by each field (e.g. \"id\", \"_version_\") and by each index data structure (e.g. 'storedFields', 'docValues_numeric').

### setRawSizeSummary

public void setRawSizeSummary(Boolean rawSizeSummary)

Parameters:
  `rawSizeSummary` - Boolean flag to include more involved estimates of the disk size taken up by index data structures, on a per-field basis (e.g. how much data does the \"id\" field contribute to 'storedField' index files). More detail than 'rawSize', less detail than 'rawSizeDetails'.

### setRawSizeDetails

public void setRawSizeDetails(Boolean rawSizeDetails)

Parameters:
  `rawSizeDetails` - Boolean flag to include detailed statistics about the disk size taken up by various fields and data structures. More detail than 'rawSize' and 'rawSizeSummary'.

### setRawSizeSamplingPercent

public void setRawSizeSamplingPercent(Float rawSizeSamplingPercent)

Parameters:
  `rawSizeSamplingPercent` - Percentage (between 0 and 100) of data to read when estimating index size and statistics. Defaults to 5.0 (i.e. 5%).

### setSizeInfo

public void setSizeInfo(Boolean sizeInfo)

Parameters:
  `sizeInfo` - Boolean flag to include information about the largest index files for each Lucene segment.. Implicitly sets the 'segment' flag to 'true'

### getApiVersion

public SolrRequest.ApiVersion getApiVersion()
Description copied from class: `SolrRequest`
Indicates which API version this request will make

Defaults implementation returns 'V1'.

Overrides:
  `getApiVersion` in class `SolrRequest<CollectionStatusResponse>`

### getParams

public SolrParams getParams()
Description copied from class: `SolrRequest`
The parameters for this request; never null. The runtime type may be mutable but modifications may not affect this `SolrRequest` instance, as it may return a new instance here every time. If the subclass specifies the response type as `ModifiableSolrParams`, then one can expect it to change this request. If the subclass has a setter then one can expect this method to return the value set.

Specified by:
  `getParams` in class `SolrRequest<CollectionStatusResponse>`

### getQueryParams

public Set<String> getQueryParams()
Description copied from class: `SolrRequest`
Parameter keys that are sent via the query string

Overrides:
  `getQueryParams` in class `SolrRequest<CollectionStatusResponse>`

### createResponse

protected CollectionStatusResponse createResponse(NamedList<Object> namedList)
Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server. If the response extends `SolrResponse`, then there's no need to use the arguments, as `SolrResponse.setResponse(NamedList)` will be called right after this method.

Specified by:
  `createResponse` in class `SolrRequest<CollectionStatusResponse>`
Parameters:
  `namedList` - from `SolrClient.request(SolrRequest, String)`.

### getResponseParser

public ResponseParser getResponseParser()

Overrides:
  `getResponseParser` in class `SolrRequest<CollectionStatusResponse>`
Returns:
  The `ResponseParser`